# pandas.DataFrame.to_timestamp

DataFrame.to_timestamp(freq=None, how='start', axis=0, copy=True)

  Cast to DatetimeIndex of timestamps, at beginning of period.

  Parameters
    freq str, default frequency of PeriodIndex

      Desired frequency.

    how{‘s’, ‘e’, ‘start’, ‘end’}

      Convention for converting period to timestamp; start of period vs. end.

    axis{0 or ‘index’, 1 or ‘columns’}, default 0

      The axis to convert (the index by default).

    copy bool, default True

      If False then underlying input data is not copied.

  Returns
    DataFrame with DatetimeIndex